## ClutterSwipeAction ClutterSwipeAction — Action for swipe gestures |

## Functions

ClutterAction * | clutter_swipe_action_new ()

## Signals

void | swept | Run Last
gboolean | swipe | Run Last

## Types and Values

struct | ClutterSwipeAction
struct | ClutterSwipeActionClass
enum | ClutterSwipeDirection

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActorMeta
                ╰── ClutterAction
                    ╰── ClutterGestureAction
                        ╰── ClutterSwipeAction

## Description

ClutterSwipeAction is a sub-class of ClutterGestureAction that implements the logic for recognizing swipe gestures.

## Functions

### clutter_swipe_action_new ()

    ClutterAction *
    clutter_swipe_action_new (void);

Creates a new ClutterSwipeAction instance

#### Returns

the newly created ClutterSwipeAction

Since: 1.8

## Types and Values

### struct ClutterSwipeAction

    struct ClutterSwipeAction;

The ClutterSwipeAction structure contains only private data and should be accessed using the provided API

Since: 1.8

### struct ClutterSwipeActionClass

    struct ClutterSwipeActionClass {
      void (* swept)  (ClutterSwipeAction    *action,
                       ClutterActor          *actor,
                       ClutterSwipeDirection  direction);

      gboolean (* swipe) (ClutterSwipeAction    *action,
                          ClutterActor          *actor,
                          ClutterSwipeDirection  direction);
    };

The ClutterSwipeActionClass structure contains only private data.

#### Members

`swept` () | class handler for the “swept” signal; deprecated since 1.14 |
`swipe` () | class handler for the “swipe” signal |

Since: 1.8

### enum ClutterSwipeDirection

The main direction of the swipe gesture

#### Members

CLUTTER_SWIPE_DIRECTION_UP | Upwards swipe gesture |
CLUTTER_SWIPE_DIRECTION_DOWN | Downwards swipe gesture |
CLUTTER_SWIPE_DIRECTION_LEFT | Leftwards swipe gesture |
CLUTTER_SWIPE_DIRECTION_RIGHT | Rightwards swipe gesture |

Since: 1.8

## Signal Details

### The `“swept”` signal

    void
    user_function (ClutterSwipeAction   *action,
                   ClutterActor         *actor,
                   ClutterSwipeDirection direction,
                   gpointer              user_data)

The ::swept signal is emitted when a swipe gesture is recognized on the attached actor.

`ClutterSwipeAction::swept` has been deprecated since version 1.14 and should not be used in newly-written code.

Use the ::swipe signal instead.

#### Parameters

action | the ClutterSwipeAction that emitted the signal |
actor | the ClutterActor attached to the `action` |
direction | the main direction of the swipe gesture |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.8

### The `“swipe”` signal

    gboolean
    user_function (ClutterSwipeAction   *action,
                   ClutterActor         *actor,
                   ClutterSwipeDirection direction,
                   gpointer              user_data)

The ::swipe signal is emitted when a swipe gesture is recognized on the attached actor.

#### Parameters

action | the ClutterSwipeAction that emitted the signal |
actor | the ClutterActor attached to the `action` |
direction | the main direction of the swipe gesture |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the swipe should continue, and `FALSE` if the swipe should be cancelled.

Flags: Run Last

Since: 1.14